@ECHO OFF

rem --- MIRORIP.CMD (02.11.1995) ---

ECHO.
ECHO **************************************************************
ECHO *  OS/2 Grafik-Treiber Deinstallation fr miro Grafikkarten. *
ECHO *  OS/2 Display Driver Deinstallation for miro Video Boards. *
ECHO **************************************************************

rem --- check arguments ---
IF .%1. == .. GOTO USAGE

rem --- check dirs and files ---
IF NOT EXIST %1\OS2\MIRO                     GOTO USAGE
IF NOT EXIST %1\OS2\MIRO\COMMON              GOTO USAGE
IF NOT EXIST %1\OS2\MIRO\FONT                GOTO USAGE
IF NOT EXIST %1\OS2\MIRO\TIMING              GOTO USAGE
IF NOT EXIST %1\OS2\MIRO\COMMON\MIROICON.EXE GOTO USAGE
IF NOT EXIST %1\OS2\DLL\BVHMIRO.DLL          GOTO USAGE
IF NOT EXIST %1\OS2\DLL\IBMIRO32.DLL         GOTO USAGE

ECHO.
ECHO **************************************************************
ECHO *  Die miro OS/2 Grafik-Treiber werden jetzt gelscht.       *
ECHO *  Sie mssen OS/2 vorher auf VGA konfiguriert haben.        *
ECHO *                                                            *
ECHO *  The miro OS/2 Display Drivers are about to be removed.    *
ECHO *  You have to configure OS/2 for VGA before.                *
ECHO **************************************************************
ECHO.
ECHO Weiter mit beliebiger Taste oder Ctrl-C fr Abbruch ...
ECHO Press any key when ready or Ctrl-C to break ...

PAUSE 1>NUL 2>NUL

ECHO.
ECHO **************************************************************
ECHO *  Lsche Dateien, bitte warten Sie ...                      *
ECHO *  Deleting files, please stand by ...                       *
ECHO **************************************************************

rem --- delete miro folder and icons ---
%1\OS2\MIRO\COMMON\MIROICON.EXE DEL 1>NUL 2>NUL

rem --- remove miro directory ---
DEL    %1\OS2\MIRO\COMMON\*.* /N 1>NUL 2>NUL
DEL    %1\OS2\MIRO\FONT\*.*   /N 1>NUL 2>NUL
DEL    %1\OS2\MIRO\TIMING\*.* /N 1>NUL 2>NUL
DEL    %1\OS2\MIRO\*.*        /N 1>NUL 2>NUL
RMDIR  %1\OS2\MIRO\COMMON 1>NUL 2>NUL
RMDIR  %1\OS2\MIRO\FONT   1>NUL 2>NUL
RMDIR  %1\OS2\MIRO\TIMING 1>NUL 2>NUL
RMDIR  %1\OS2\MIRO        1>NUL 2>NUL

rem --- delete miro driver DLLs ---
DEL %1\OS2\DLL\BVHMIRO.DLL  1>NUL 2>NUL
DEL %1\OS2\DLL\IBMIRO32.DLL 1>NUL 2>NUL

ECHO.
ECHO **************************************************************
ECHO *  Die miro OS/2 Grafik-Treiber wurden entfernt.             *
ECHO *  The miro OS/2 Display Drivers have been removed.          *
ECHO **************************************************************
ECHO.
GOTO END

:USAGE
ECHO.
ECHO Syntax: MIRORIP [OS2DRIVE:]
ECHO.

:END

